package com.sybotan.android.demo.bean;

import java.io.Serializable;

/**
 * Created by Administrator on 2016/1/5.
 */
public class UniversalCellClass implements Serializable {
    public static final String TYPE1 = "cell1";
    public static final String TYPE2 = "cell2";
    public static final String TYPE3 = "cell3";
    public static final String TYPE4 = "cell4";
    public static final String TYPE5 = "cell5";
    public static final String TYPE6= "cell6";
    public static final String TYPE7 = "cell7";
    public static final String TYPE8 = "cell8";
    public static final String TYPE9 = "cell9";
    public static final String TYPE10 = "cell10";

    public String cell_Type;//样式

    public Object cell_Value="";//值

    public String title;

    public int sortPosition;//排序

    public long time;//时间排序




    public Boolean is_Select=false;//是否可以点击


    public Object parameter;//用于保存的临时参数,用于向下一级传递

    public UniversalCellClass set_Cell_Type(String type)
    {
        cell_Type=type;
        return this;
    }

    public UniversalCellClass set_Cell_Value(Object value)
    {
        cell_Value=value;
        return this;
    }

    public UniversalCellClass set_Is_Select(Boolean select)
    {
        is_Select=select;
        return this;
    }

    public UniversalCellClass set_Parameter(Object canShu)
    {
        parameter=canShu;
        return this;
    }

    public int getSortPosition() {
        return sortPosition;
    }

    public UniversalCellClass setSortPosition(int sortPosition) {
        this.sortPosition = sortPosition;
        return this;
    }

    public long getTime() {
        return time;
    }

    public UniversalCellClass setTime(long time) {
        this.time = time;
        return this;
    }
}
